Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2020-28912

Published: 24 December 2020

With MariaDB running on Windows, when local clients connect to the server over named pipes, it's possible for an unprivileged user with an ability to run code on the server machine to intercept the named pipe connection and act as a man-in-the-middle, gaining access to all the data passed between the client and the server, and getting the ability to run SQL commands on behalf of the connected user. This occurs because of an incorrect security descriptor. This affects MariaDB Server before 10.1.48, 10.2.x before 10.2.35, 10.3.x before 10.3.26, 10.4.x before 10.4.16, and 10.5.x before 10.5.7. NOTE: this issue exists because certain details of the MariaDB CVE-2019-2503 fix did not comprehensively address attack variants against MariaDB. This situation is specific to MariaDB, and thus CVE-2020-28912 does NOT apply to other vendors that were originally affected by CVE-2019-2503.

Notes

AuthorNote
seth-arnold
This issue appears to be Windows-specific

Priority

Negligible

Cvss 3 Severity Score

7.0

Score breakdown

Status

Package Release Status
mariadb-10.1
Launchpad, Ubuntu, Debian
bionic Not vulnerable

focal Does not exist

groovy Does not exist

trusty Does not exist

upstream Not vulnerable
(debian: Only affects MariaDB on Windows)
xenial Does not exist

mariadb-10.3
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable

groovy Not vulnerable

trusty Does not exist

upstream Not vulnerable
(debian: Only affects MariaDB on Windows)
xenial Does not exist

mariadb-10.5
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

groovy Does not exist

trusty Does not exist

upstream Not vulnerable
(debian: Only affects MariaDB on Windows)
xenial Does not exist

Severity score breakdown

Parameter Value
Base score 7.0
Attack vector Local
Attack complexity High
Privileges required Low
User interaction None
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H